English

Swedish ID system requires Android 5 or above

Hey!

OK, I am really sorry if this topic was already covered but I am trying to find about it and couldn´t find my answer.

I am fighting to keep my FP1 alive (because of principles!) for a long time. I have had the explosive bloating battery, the broken battery entrance (now I charge a new battery with and outside device), and another problems :stuck_out_tongue: but the phone is alive!

I got a message from the Swedish ID digital system that my android will not be supported after this summer. And that´s awful news!

How can I install a later version of android in my FP1? Is there a solution? I really don´t want to toss this phone!


Edit by @moderators: explosive vs. bloating: No FP1 ever exploded. This is to avoid misunderstandings.

2 Likes

You can install the unfinished, but very usable Android 4.4.2. I’m using it for several weeks now and apart from the well-known (see the topic I linked to) yet bearable bug about the battery graph, it works well enough for every day usue.

Thank you for answering!

The ID system says that I need to have at least android 5.0
Will 4.4.2. be somehow enough?

I read a bit about rooting the system and installing an open source version of android, but I have no idea how to do that without a pc (as I said the USB connection in my FP1 is broken),

You should inquire if it means that you need android 5 or higher.
Please be aware that you are on android 4.2 and going to android 4.4.2 wouldn’t be enough.
I am sorry to say Android 5 on a FP1 isn’t possible.

2 Likes

Hey Lidwen,

I am really an ignorant about software. Thank you for your answer.

Google stopped providing security updates for versions below Android 5 years ago and Fairphone unfortunately had to stop maintenance of the FP1.

I’m not exactly sure what this “Swedish ID digital system” really is, but if they don’t support Android version below 5 after this summer, you won’t be able to use it with your FP1 anymore.

You could sell your FP1 via the forum #market and instead get a second-hand FP2.

3 Likes

Thank you for answering!

It´s an official app used to identify myself in banks, swish, when buying stuff online, when declaring taxes, basically everything…

It´s a good solution.

Hej @amanda,

I was wondering if the ID system could support open source operative system but it seems to only support Windows, iOS and Android and that they recently increased the version number they have to have.
Sorry!

It is a shame that you have to give up a working phone because of software not working or getting updated anymore.

Best,

1 Like

Fortunately, you’re wrong with respect to this point :slightly_smiling_face:

The Android security team currently provides patches for Android versions 4.4 (KitKat) and above.

Source:
https://source.android.com/security/overview/updates-resources#notifying_partners

But I fear you’ll be right in a time not too far away…

3 Likes

Yes, you are right of course. :blush: That’s why Fairphone wanted to bring Kitkat to FP1 in the first place…

3 Likes

This topic was automatically closed 182 days after the last reply. New replies are no longer allowed.